Page MenuHomePhabricator

Communicate enabling MP3 uploads on Wikimedia Commons
Closed, ResolvedPublic

Description

Background
As per the discussion in T167815 and the response in T176781, I'll be helping the product team with communicating plans to enable MP3 uploads on Commons.

Success criteria
MP3 uploads are supported on Commons and the community there is informed in process.

  1. Village Pump post announcing plans
  2. VP post reminder the day of
    1. commons-l posts of the same
  3. mention of new feature in Tech/News

Timeline
Ramsey is working on developing a plan. Timeline TBD.

Event Timeline

CKoerner_WMF triaged this task as Normal priority.Sep 26 2017, 8:11 PM
RP88 added a subscriber: RP88.Sep 27 2017, 12:21 PM
CKoerner_WMF updated the task description. (Show Details)Oct 16 2017, 4:40 PM
CKoerner_WMF lowered the priority of this task from Normal to Low.Nov 16 2017, 8:49 PM

Note that we are ready to move forward with this. The new MP3 uploaders user group has been created on Commons (T180002), and the abuse filter has been set up and enabled. All that we need now is a scheduled date from @Ramsey-WMF.

kaldari raised the priority of this task from Low to High.Nov 21 2017, 8:56 PM

@CKoerner_WMF: Talked to Ramsey and we decided that Monday would be a good day to turn it on. Currently there is an Abuse Filter running on Commons (https://commons.wikimedia.org/wiki/Special:AbuseFilter/192) that should prevent anyone from uploading mp3s unless they are an administrator or an "MP3 uploader". If someone wants to be added to the MP3 uploaders user group, they can apply at https://commons.wikimedia.org/wiki/Commons:Requests_for_rights#MP3_uploader.

Awesome. Here's a draft. @kaldari @Ramsey-WMF can you please review? If it looks good, feel free to post it! (I will be OoO starting in about 4 hours from the timestamp of this post for the holiday)

https://commons.wikimedia.org/wiki/User:CKoerner_(WMF)/MP3_uploaders_announcement

Looks good! I'd suggest @kaldari post it since he's done such a fine job so far. I can do it too if nobody else is around :)

I didn't see any update on the village pump, so I was "Bold" and posted the announcement.

https://commons.wikimedia.org/wiki/Commons:Village_pump#MP3_uploaders_user_group_created

kaldari closed this task as Resolved.Nov 27 2017, 8:27 PM

Looks great! Thanks!

kaldari added a subscriber: Johan.Nov 28 2017, 1:19 AM

@Ramsey-WMF, @CKoerner_WMF, @Johan: We've delayed the roll-out slightly in order to turn on some additional transcoding features (https://gerrit.wikimedia.org/r/#/c/380791/). The deployment is now scheduled for 11:00–12:00 PST, Thursday, November 30 (19:00–20:00 UTC, Wednesday, November 29). I'll update the announcement on Commons.